| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ProcDesc::DataEntry Class Reference
Basic

`#include <procdescdata.h>`

## Public Types
enum | ActionType { Add , Remove , AddNRemove }
enum | Type { OD , Python }

## Public Member Functions
| DataEntry ()
| ~DataEntry ()

## Static Public Member Functions
static ActionType | getActionTypeForCMDKey (const BufferString &)
static const char * | getCMDActionKey (const ActionType)
static const char * | getTypeFlag (const Type)
static bool | isCMDOK (const BufferString &)
static const char * | sKeyActionTaken ()
static const char * | sKeyODv6 ()
static const char * | sKeyPython ()

## Public Attributes
uiString | desc_
BufferString | execnm_
Type | type_

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ ActionType

enum ProcDesc::DataEntry::ActionType

Enumerator
Add |
Remove |
AddNRemove |

## ◆ Type

enum ProcDesc::DataEntry::Type

Enumerator
OD |
Python |

## Constructor & Destructor Documentation

## ◆ DataEntry()

ProcDesc::DataEntry::DataEntry | ( |  | ) |

## ◆ ~DataEntry()

ProcDesc::DataEntry::~DataEntry | ( |  | ) |

## Member Function Documentation

## ◆ getActionTypeForCMDKey()

static ActionType ProcDesc::DataEntry::getActionTypeForCMDKey | ( | const BufferString & |  | ) |
| static

## ◆ getCMDActionKey()

static const char * ProcDesc::DataEntry::getCMDActionKey | ( | const ActionType |  | ) |
| static

## ◆ getTypeFlag()

static const char * ProcDesc::DataEntry::getTypeFlag | ( | const Type |  | ) |
| static

## ◆ isCMDOK()

static bool ProcDesc::DataEntry::isCMDOK | ( | const BufferString & |  | ) |
| static

## ◆ sKeyActionTaken()

static const char * ProcDesc::DataEntry::sKeyActionTaken | ( |  | ) |
| inline static

## ◆ sKeyODv6()

static const char * ProcDesc::DataEntry::sKeyODv6 | ( |  | ) |
| inline static

## ◆ sKeyPython()

static const char * ProcDesc::DataEntry::sKeyPython | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ desc_

uiString ProcDesc::DataEntry::desc_

## ◆ execnm_

BufferString ProcDesc::DataEntry::execnm_

## ◆ type_

Type ProcDesc::DataEntry::type_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025